Page MenuHomePhabricator

copies: detect case when a merge decision overwrite previous data
ClosedPublic

Authored by marmoute on Dec 15 2020, 4:07 AM.

Details

Summary

We now detect and record when a merge case required special logic (eg: thing
that append during the merge, ambiguity leading to picking p1 data, etc) and we
explicitly mark the result as superseding the previous data.

This fixes the family of test we previously added.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Dec 15 2020, 4:07 AM
baymax updated this revision to Diff 24285.Dec 15 2020, 11:43 AM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

baymax updated this revision to Diff 24376.Dec 17 2020, 4:04 PM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

baymax updated this revision to Diff 24403.Dec 18 2020, 9:12 AM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

baymax updated this revision to Diff 24410.Dec 18 2020, 9:32 AM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

baymax updated this revision to Diff 24418.Dec 18 2020, 9:55 AM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

baymax updated this revision to Diff 24456.Dec 21 2020, 3:00 AM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

baymax updated this revision to Diff 24572.Jan 5 2021, 3:38 AM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

baymax updated this revision to Diff 24595.Jan 5 2021, 9:02 AM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

Alphare accepted this revision.Jan 8 2021, 6:10 AM
Alphare added a subscriber: Alphare.
Alphare added inline comments.
mercurial/copies.py
500

typo

rust/hg-core/src/copy_tracing.rs
768

Please add a small mention of the override in the docstring

baymax updated this revision to Diff 24636.Jan 8 2021, 10:25 AM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

marmoute updated this revision to Diff 25737.Feb 22 2021, 9:35 AM
baymax updated this revision to Diff 25739.Feb 22 2021, 10:27 AM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

baymax updated this revision to Diff 25778.Feb 22 2021, 2:45 PM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.